c-----------------------------------------------------------------------
c  GRID VARIABLES
c  is,ie = array index of first and last ACTIVE zone in i-direction
c  itp,ibtm = array index of entire computational volume; may be
c    different from is,ie if only computing on a sub-volume
c  nxz = # of ACTIVE zones in x-direction = ie-is+1; same for nyz,nzz
c
      integer        is  , ie , js  , je , ks  , ke , nxz, nyz, nzz
     &              ,ibtm, itp, jbtm, jtp, kbtm, ktp
      common /gridi/ is  , ie , js  , je , ks  , ke , nxz, nyz, nzz
     &              ,ibtm, itp, jbtm, jtp, kbtm, ktp
c
c  x ,y ,z  = coordinates of Eulerian zone EDGES
c  dx,dy,dx = distance between Eulerian zone EDGES in x,y,z directions
c    e.g. dx(i)=x(i+1)-x(i)
c  xn,yn,zn = coordinates of Lagrangean zone EDGES
c  dxn,dyn,dzn = distance between Lagrangean zone EDGES
c  vgx,vgy,vgz = grid velocity applied during remap in x,y,z directions
c
      real
     &    x (in+1),           y (jn+1),           z (kn+1)
     & , dx (in  ),          dy (jn  ),          dz (kn  )
     &
     & ,  xn(in+1,jn+1,kn+1), yn(in+1,jn+1,kn+1), zn(in+1,jn+1,kn+1)
     & , dxn(in  ,jn  ,kn  ),dyn(in  ,jn  ,kn  ),dzn(in  ,jn  ,kn  )
     & 
     & , xyz(in+1,jn+1,kn+1),dxyz(in,jn,kn), vgx,vgy,vgz
      equivalence (xn,yn,zn,xyz) , (dxn,dyn,dzn,dxyz)
      common /gridr/  x, y, z, dx, dy, dz, xyz, dxyz,vgx,vgy,vgz
